[![Gem Version](https://badge.fury.io/rb/phcpresspro.svg)](https://badge.fury.io/rb/phcpresspro)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://github.com/bradpotts/phc-press-pro/blob/master/MIT-LICENSEru)  

### PHCPress(PRO) (News/Blog Engine) Documentation
PHCPress(PRO) rails CMS engine to manage your website's articles, categories and media.

* Website article posts with WYSIWYG editor.
* Upload images locally or use any popular cloud service.
* Customizable article categories module included.

#### Step 1 - Add PHCPress to your gemfile  and run command  

	gem 'phcpresspro'
	bundle install

#### Step 2 - Copy PHCPress Database Tables  
To copy PHCPress' requried database migrations, copy each command individually to your terminal's command line.  

	rails phcpresspro:install:migrations
	rails db:migrate

#### Step 3 - Mount PHCPress & Add Routes
Mount PHCPress by adding code below to your routes file.  

	mount Phcpresspro::Engine, :at => '/'

#### Step 4 - Recompile Assets  
To properly function re-compile your application's assets to copy over requried files.

	rails assets:clobber
	rails assets:precompile

#### Step 5 - Generate Contact Form View (Customization)  
All PHCPress views and layouts can be overwritten by copying files to your application.

	rails generate phcpresspro:views
